Page MenuHomePhabricator

[compiler-rt] Rename FuzzedDataProvider.h to .hpp and other minor changes.
ClosedPublic

Authored by Dor1s on Aug 6 2019, 9:00 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Dor1s created this revision.Aug 6 2019, 9:00 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptAug 6 2019, 9:00 AM
Herald added subscribers: llvm-commits, Restricted Project, delcypher and 3 others. · View Herald Transcript
Dor1s accepted this revision.Aug 6 2019, 9:01 AM

Self-approval for a minor change.

This revision is now accepted and ready to land.Aug 6 2019, 9:01 AM
This revision was automatically updated to reflect the committed changes.

Objection: .hpp is not idiomatic in LLVM.

Dor1s added a comment.Aug 6 2019, 12:22 PM

Objection: .hpp is not idiomatic in LLVM.

Thanks for the comment! I was wondering about that, but haven't found any guidelines restricting or discouraging this. Also, I've seen some .hpp files in LLVM.

IMO .hpp makes much more sense for a header like this (C++ with implementation), especially given that it's a public header provided via "include" directory.

With all of that, I'd prefer setting up a precedent for respecting .hpp files, assuming that I'm not violating any strict requirements :)

Objection: .hpp is not idiomatic in LLVM.

Thanks for the comment! I was wondering about that, but haven't found any guidelines restricting or discouraging this. Also, I've seen some .hpp files in LLVM.

IMO .hpp makes much more sense for a header like this (C++ with implementation), especially given that it's a public header provided via "include" directory.

With all of that, I'd prefer setting up a precedent for respecting .hpp files, assuming that I'm not violating any strict requirements :)

$ git ls-files '*.hpp' | wc -l
      43
$ git ls-files '*.h' | wc -l
    7151

And almost all of the existing 43 hpp files are test inputs. So +1 to the objection – we virtually don't have .hpp files in LLVM.

Dor1s added a comment.Aug 7 2019, 9:09 PM

Objection: .hpp is not idiomatic in LLVM.

Thanks for the comment! I was wondering about that, but haven't found any guidelines restricting or discouraging this. Also, I've seen some .hpp files in LLVM.

IMO .hpp makes much more sense for a header like this (C++ with implementation), especially given that it's a public header provided via "include" directory.

With all of that, I'd prefer setting up a precedent for respecting .hpp files, assuming that I'm not violating any strict requirements :)

$ git ls-files '*.hpp' | wc -l
      43
$ git ls-files '*.h' | wc -l
    7151

And almost all of the existing 43 hpp files are test inputs. So +1 to the objection – we virtually don't have .hpp files in LLVM.

Nico, thanks for taking a look too. Ok, I'll rename it back to \.h tomorrow. Some documented guidance and/or stronger consistency might be helpful for cases like this in future. I think I tried to be reasonable and it didn't seem like I was going to violate any rules :)

Dor1s added a comment.Aug 8 2019, 5:16 PM

FTR, changed the extension back to .h in r368331.